! Copyright (C) 2019-2021:
!   Max Planck Institut fuer extraterrestrische Physik, Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.
!

      SUBROUTINE FLDCNV(LAT,LON,NFLD,FLAG,IERR)
C
CC  de/construct field# from/into latitude zone and and longitude zone
C
C************************ FFORM VERSION 1.2 ************  4-DEC-98 16:36
C
CA  author : GRU        date: 9-JUN-1994 15:43
CU  update : GRU        date: 10-AUG-1994 17:42
CU  update : GRU        date: 10-AUG-1994 17:43
CU  update : GRU        date: 10-AUG-1994 17:59
C
CT  status: not tested
C
C   general description 
CG  dependent on FLAG the field# is deconstructed into the latitude and
CG  longitude zone # or the field# is constructed from both zone numbers
C
C   call_var.          type I/O description 
CP  IERR                I4    O = 0 no error
CP                              = 3
CP  FLAG                C   I   = 'TOFLD': generate field# from latidude
CP                                         and longitude zone
CP                              = 'TOZONE':generate latitude & longitude
CP                                         zone from field#
CP  LAT                 I4  I/O latitude zone
CP  LON                 I4  I/O longitude zone
CP  NFLD                I4    O field#
C
C   include_block name          description 
CI  R_INCLUDE:ICGENL.INC        general parameters and buffers
C
C   routines_called    type     description 
CR  HFLAG               R4      output flag handling routine
CR  WRFLAG              SR      writes to FLAG output stream
CR  WRERR               SR      
C
C   extensions/system calls     description 
CX 
C
C***********************************************************************
C
C   variables   meaning
C
C
      IMPLICIT NONE
      INCLUDE 'R_INCLUDE:ICGENL.INC'
C
      REAL*4        HFLAG
      INTEGER*4     IERR ,IOS, LAT,LON,NFLD
      CHARACTER     FLAG*(*)
      CHARACTER*8   RTNAME
C
      DATA          RTNAME /'FLDCNV'/
C
D     IF (HFLAG(RTNAME,'in: FLAG').NE.0) THEN
D       WRITE (OUTPT,101,IOSTAT=IOS) FLAG
D 101   FORMAT (A)
D       CALL WRFLAG(OUTPT)
D     ENDIF
C
      IERR=0
      IF (FLAG.EQ.'TOFLD') THEN
         NFLD = LAT*1000 + LON
C LAT has two digits, LON has 2 or three digits dependend on the number
C of latitude zones. NFLD has 5 digits
      ELSE IF (FLAG.EQ.'TOZONE') THEN
C decompose NFLD into LAT and LON
           LON = MOD(NFLD,1000)
           LAT = (NFLD - LON)/1000
      ELSE
C flag not known
         IERR=3
         WRITE (OUTPT,110) FLAG
110      FORMAT('unknown flag ',A)
         CALL WRERR(RTNAME,IERR,OUTPT)
      ENDIF
C
D     IF (HFLAG(RTNAME,'out: NFLD,LAT,LON').NE.0) THEN
D       WRITE (OUTPT,9901,IOSTAT=IOS) NFLD,LAT,LON
D9901   FORMAT (I5,X,I2,X,I3.3)
D       CALL WRFLAG(OUTPT)
D     ENDIF
      RETURN
      END
