      subroutine DMMDEC(DDMMM,DDEG,IERR)
C
CC    Calc. the value of a number given as 'DDD.MMMM' or 'HH.MMMM'
C
C************************ FFORM VERSION 1.2 ************ 30-MAR-90 16:57
C
CA  author : KOD        date: 25-AUG-1989 14:48
CU  update : KOD        date: 20-MAR-1990 14:48
C
CT  status: tested
C
C   general description
CG  Subroutine to calculate the value of a number given in the form
CG  'DDD.MMM' or 'HH.MMM'. Negative values are allowed.
C
C   call_var.          type I/O description
CP  DDMMM               R8  I   number to be converted (-360 .. 360)
CP                              (DDD.MMM or HH.MMM)
CP
CP  DDEG                R8    O corresponding decimal value
CP
CP  IERR                I4    O = 0 no error
CP                              = 1 warning
CP                              = 2 error
CP                              = 3 severe error
C
C   include_block name          description
CI  R$INCLUDE:ICGENL.INC        general parameter common block
C
C   routines_called    type     description
CR  WRERR               SR      formats error code in standard form
CR  HFLAG               R4      output flag handling routine
CR  WRFLAG              SR      writes to FLAG output stream
C
C   extensions/system calls     description
CX
C
C***********************************************************************
C
C   variables   meaning
C
C
      IMPLICIT NONE
c*
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
      CHARACTER*265 OUTPT                                ! R$INCLUDE:ICGENL.INC
      REAL*4        PI, RAD, DEG                         ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( PI  = 3.141592654 )                  ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( RAD = 0.0174532925 )                 ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( DEG = 57.29577951 )                  ! R$INCLUDE:ICGENL.INC
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
C
      REAL*8        DDMMM, DDEG, DMM
      REAL*4        HFLAG
      INTEGER*4     IERR ,IOS, IDEG, IMT, IMT1
      LOGICAL*4     LPLUS
      CHARACTER*8   RTNAME
      CHARACTER*17  CHDEG17
C
      DATA          RTNAME /'DMMDEC'/
C
      IERR = 0
C
      LPLUS = (DDMMM.ge.0.D0)
C
      DMM = dabs(DDMMM)
      if (DMM.gt.360.D0) then
        IERR = 1
        if (DMM.ge.1.D6) IERR = max(IERR,2)
        call WRERR(RTNAME,IERR,'Error in input parameter DDMMM')
      endif
C
      if (IERR.lt.2) then
C
C       split input value:
C
        write(CHDEG17,'(F17.10)') DMM
C
C       read individual parts:
C
        read(CHDEG17,'(I6,1X,I2,I8)') IDEG, IMT, IMT1
C
        if (IMT.ge.60) then
          IERR = max(IERR,2)
          call WRERR(RTNAME,IERR,'Error in input parameter DDMMM')
        else
          DDEG = dble(IDEG) + dble(IMT)/60.D0 + dble(IMT1)/60.D8
          if (.not.LPLUS) DDEG = -DDEG
        endif
C
      endif
C
      RETURN
      END
