      subroutine DMSRAD(DDMMSS,DRAD,IERR)
C
CC    Calculates radians of a number given in the form 'DDD.MMSS'
C
C************************ FFORM VERSION 1.2 ************ 30-MAR-90 16:58
C
CA  author : KOD        date: 05-SEP-1989 18:32
CU  update : KOD        date: 20-MAR-1990 14:49
CU  update : KOD        date: 28-MAR-1990 20:24
C
CT  status: tested
C
C   general description
CG  Subroutine to convert a number given in the form 'DDD.MMSSS'
CG  (degrees) into radians. Negative values are allowed.
C
C   call_var.          type I/O description
CP  DDMMSS              R8  I   number to be converted (-360 .. 360)
CP                              (DDD.MMSSS)
CP
CP  DRAD                R8    O corresponding radians
CP
CP  IERR                I4    O = 0 no error
CP                              = 1 warning
CP                              = 2 error
CP                              = 3 severe error
C
C   include_block name          description
CI  R$INCLUDE:ICGENL.INC        general parameter common block
CI  R$INCLUDE:IGENL.INC         parameter block with trig. constants
C
C   routines_called    type     description
CR  DMSDEC              SR      converts 'DDD.MMSS' into dec. degrees
CR  ERRSTC              SR      continue error stack for one level
CR  HFLAG               R4      output flag handling routine
CR  WRFLAG              SR      writes to FLAG output stream
C
C   extensions/system calls     description
CX
C
C***********************************************************************
C
C   variables   meaning
C
C
      IMPLICIT NONE
c*
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
      CHARACTER*265 OUTPT                                ! R$INCLUDE:ICGENL.INC
      REAL*4        PI, RAD, DEG                         ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( PI  = 3.141592654 )                  ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( RAD = 0.0174532925 )                 ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( DEG = 57.29577951 )                  ! R$INCLUDE:ICGENL.INC
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
c*
c     ---------------------------------------------------! R$INCLUDE:IGENL.INC
      REAL*8        DPI, D2PI, DPID2, DPI180, D180PI     ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPI    =  3.141592653589793238D0 )     ! R$INCLUDE:IGENL.INC
      PARAMETER ( D2PI   =  6.283185307179586477D0 )     ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPID2  =  1.5707963267948966192D0 )    ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPI180 =  0.017453292519943295769D0 )  ! R$INCLUDE:IGENL.INC
      PARAMETER ( D180PI =  57.29577951308232088D0 )     ! R$INCLUDE:IGENL.INC
c     ---------------------------------------------------! R$INCLUDE:IGENL.INC
C
      REAL*8        DDMMSS, DRAD, DDEG, DH
      REAL*4        HFLAG
      INTEGER*4     IERR ,IOS, ISTAT
      CHARACTER*8   RTNAME
C
      DATA          RTNAME /'DMSRAD'/
C
      IERR = 0
C
      DH = DDMMSS
      call DMSDEC(DH,DDEG,ISTAT)
C
      if  (ISTAT.gt.1) then
C
        IERR = max(IERR,ISTAT)
        call ERRSTC(RTNAME,10)
C
      else
C
        DRAD = DDEG * DPI180
C
      endif
C
C
      RETURN
      END
