      subroutine TREQU1(DL0,DB0,DL,DB,DLEQU,DBEQU)
C
CC    Transforms spherical coordinates to the equator
C
C************************ FFORM VERSION 1.1 ************ DD-MMM-YY HH:MM
C
CA  author : KOD        date:  8-OCT-1990 15:41
CU  update : KOD        date: 8-OCT-1990 15:48
CU  update : KOD        date: 8-OCT-1990 15:50
CU  update : KOD        date: 8-OCT-1990 16:13
CU  update : KOD        date: 10-OCT-1990 14:08
C
CT  status: not tested
C
C   general description:
CG
C
C   call_var.          type I/O description
CP
CP  DL0                 R8  I   longitude of reference       (radians)
CP  DB0                 R8  I   latitude  of reference       (radians)
CP
CP  DL                  R8  I   longitude to be transformed  (radians)
CP  DB                  R8  I   latitude  to be transformed  (radians)
CP
CP  DLEQU               R8    O transformed longitude        (radians)
CP  DBEQU               R8    O transformed latitude         (radians)
CP
CP  (ierr)              I4    O = 0 no error
CP                              = 1 warning
CP                              = 2 error
CP                              = 3 severe error
C
C   include_block_name          description
CI  R$COMMON:CGENL.CMN          general parameter common block
CI  R$INCLUDE:IGENL.INC         parameter block with trig. constants
C
C   routines_called    type     description
CR  WRERR               SR      formats error code in standard form
CR  ERRSTC              SR      continue error stack for one level
C
C   extensions/system calls     description
CX
C
C***********************************************************************
C
C   variables   meaning
C
C
      IMPLICIT NONE
c*
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
      CHARACTER*265 OUTPT                                ! R$INCLUDE:ICGENL.INC
      REAL*4        PI, RAD, DEG                         ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( PI  = 3.141592654 )                  ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( RAD = 0.0174532925 )                 ! R$INCLUDE:ICGENL.INC
      PARAMETER   ( DEG = 57.29577951 )                  ! R$INCLUDE:ICGENL.INC
c     ---------------------------------------------------! R$INCLUDE:ICGENL.INC
c*
c     ---------------------------------------------------! R$INCLUDE:IGENL.INC
      REAL*8        DPI, D2PI, DPID2, DPI180, D180PI     ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPI    =  3.141592653589793238D0 )     ! R$INCLUDE:IGENL.INC
      PARAMETER ( D2PI   =  6.283185307179586477D0 )     ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPID2  =  1.5707963267948966192D0 )    ! R$INCLUDE:IGENL.INC
      PARAMETER ( DPI180 =  0.017453292519943295769D0 )  ! R$INCLUDE:IGENL.INC
      PARAMETER ( D180PI =  57.29577951308232088D0 )     ! R$INCLUDE:IGENL.INC
c     ---------------------------------------------------! R$INCLUDE:IGENL.INC
C
      REAL*8        DL0, DB0, DL, DB, DLEQU, DBEQU,
     &              D1, D2, D3, DPH1, DTH1, DPH2, DTH2
      REAL*4        HFLAG
      INTEGER*4     IERR, ISTAT
      CHARACTER*8   RTNAME
C
      DATA          RTNAME /'TREQU1'/
C
      IERR = 0
C
      D1 =  DPID2 + DL0
      D2 =        - DB0
      D3 = -DPID2
C
      DPH1 = DL
      DTH1 = DPID2 - DB
C
      CALL EULER1(D1,D2,D3,DPH1,DTH1,DPH2,DTH2,ISTAT)
C
      DLEQU = DPH2
      DBEQU = DPID2 - DTH2
C
C
      RETURN
      END
